org.apache.cassandra.utils.memory

## Class MemtablePool.SubPool

- java.lang.Object
- - org.apache.cassandra.utils.memory.MemtablePool.SubPool

Enclosing class:
  MemtablePool

    public class MemtablePool.SubPool
    extends java.lang.Object

Note the difference between acquire() and allocate(); allocate() makes more resources available to all owners, and acquire() makes shared resources unavailable but still recorded. An Owner must always acquire resources, but only needs to allocate if there are none already available. This distinction is not always meaningful.

### Field Summary

Fields
`float` `cleanThreshold`
`long` `limit`

### Constructor Summary

Constructors
Constructor and Description
`SubPool(long limit, float cleanThreshold)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WaitQueue` `hasRoom()`
`MemtableAllocator.SubAllocator` `newAllocator()`
`float` `reclaimingRatio()`
`long` `used()`
`float` `usedRatio()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### limit

    public final long limit

#### cleanThreshold

    public final float cleanThreshold

### Constructor Detail

#### SubPool

    public SubPool(long limit,
                   float cleanThreshold)

### Method Detail

#### used

    public long used()

#### reclaimingRatio

    public float reclaimingRatio()

#### usedRatio

    public float usedRatio()

#### newAllocator

    public MemtableAllocator.SubAllocator newAllocator()

#### hasRoom

    public WaitQueue hasRoom()